part of media_library;

class MediaLibrary {
  static _ImageQuery images() => _ImageQuery();

  static Future<void> ensurePermissions() async {
    var handler = PermissionHandler();
    var group = Platform.isIOS ? PermissionGroup.photos : PermissionGroup.storage;
    var status = await handler.checkPermissionStatus(group);
    if (status != PermissionStatus.granted) {
      status = (await handler.requestPermissions([group]))[group];
      if (status != PermissionStatus.granted) {
        SystemNavigator.pop();
      }
    }
  }
}
